const app = getApp()


import {
    reportDetailRq
} from "../../../../api/repair/distributionCase.js"

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        id: '',
        detail: {},
        innerAudioContext: null, // 音频对象
        innerAudioContextIsPlay: false, // 音频对象-是否播放
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        console.log('onLoad', options);
        let _this = this
        _this.setData({
            ...options
        })
        _this.getDetail(options.id)
    },

    back() {
        wx.navigateBack()
    },

    getDetail(id) {
        let _this = this
        reportDetailRq(id).then(res => {
            console.log("reportDetailRq", res);
            let detail = res.data
            let repairVoice = detail.repairVoice
            let repairImages = detail.repairImages
            // 音频
            if (repairVoice) {
                detail.voiceObj = JSON.parse(repairVoice)
                detail.voiceObj.url = app.IMG_NAME + detail.voiceObj.url
            }
            // 图片/视频
            if (repairImages) {
                detail.fileList = JSON.parse(repairImages).map(item => {
                    return {
                        url: app.IMG_NAME + item.url,
                        name: item.url,
                    }
                })
            }
            _this.setData({
                detail
            })
        })
    },

    // 播放语音
    startAudio() {
        console.log('startAudio');
        let _this = this
        // 获取innerAudioContext实例
        let innerAudioContext = _this.data.innerAudioContext
        let innerAudioContextIsPlay = _this.data.innerAudioContextIsPlay
        if (!innerAudioContext) {
            // 全局设置播放声音
            wx.setInnerAudioOption({
                obeyMuteSwitch: false
            });
            innerAudioContext = wx.createInnerAudioContext()
            // 设置音频文件的路径
            innerAudioContext.src = _this.data.detail.voiceObj.url
            innerAudioContextIsPlay = false
            innerAudioContext.onEnded(() => {
                _this.setData({
                    innerAudioContextIsPlay: false
                })
            })
        }
        if (innerAudioContextIsPlay) { // 播放中
            innerAudioContext.stop()
            innerAudioContextIsPlay = false
        } else { // 未播放
            innerAudioContext.play()
            innerAudioContextIsPlay = true
        }
        //
        _this.setData({
            innerAudioContext,
            innerAudioContextIsPlay
        })
    },



    // 确认损坏
    jumpAffirm() {
        wx.navigateTo({
            url: '/pages/reportRepair/assign/affirm/affirm',
        })
    },


    // 提交反馈
    jumpFeedback() {
        wx.navigateTo({
            url: '/pages/reportRepair/assign/feedback/feedback',
        })
    },

    // 无效
    invalid() {
        wx.navigateBack()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})